Bug 140743 - lsb: Invalid link from "ld-linux.so.2" to "/lib/ld-lsb.so.1": No such file or directory
lsb: Invalid link from "ld-linux.so.2" to "/lib/ld-lsb.so.1": No such file or...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-lsb (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 11:31 EST by Harald Hoyer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 21:16:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2004-11-24 11:31:33 EST
* RHEL3 U4 ia64-as
* RHSA-2004:586 Updated glibc packages
* package sanity glibc-2.3.2-95.30

performing package upgrade hits warning/error text:

> # rpm -Uvh glibc-2.3.2-95.30.ia64.rpm \
> > glibc-common-2.3.2-95.30.ia64.rpm \ 
> > glibc-devel-2.3.2-95.30.ia64.rpm \
> > glibc-headers-2.3.2-95.30.ia64.rpm \
> > glibc-profile-2.3.2-95.30.ia64.rpm \
> > glibc-utils-2.3.2-95.30.ia64.rpm \
> > nptl-devel-2.3.2-95.30.ia64.rpm \
> > nscd-2.3.2-95.30.ia64.rpm \
> > glibc-2.3.2-95.30.i686.rpm
> Preparing...   #####################################
> glibc-common   #####################################
> glibc          #####################################
> glibc                       warning: /etc/default/nss created as 
> /etc/default/nss.rpmnew
> warning: /etc/localtime created as /etc/localtime.rpmnew
> #####################################
> glibc-headers  #####################################
> glibc-devel    #####################################
> glibc-profile  #####################################
> glibc-utils    #####################################
> nptl-devel     #####################################
> nscd           #####################################
> Invalid link from "ld-linux.so.2" to "/lib/ld-lsb.so.1": No such 
> file or directory
> Invalid link from "ld-linux.so.2" to "/lib/ld-lsb.so.1": No such 
> file or directory
> # echo $?
> 0
> #

(see attachment for full case run)

------- Additional comment by Brock Organ on 2004.10.29 17:34 -------

Created an attachment (id=105964)
package sanity testing that shows upgrade "invalid link" errors


------- Additional comment by Jakub Jelinek on 2004.10.29 17:58 -------

That's redhat-lsb triggers doing bad things.

------- Additional comment by Jakub Jelinek on 2004.11.01 04:29 -------

I think something like:
%triggerpostun -- glibc
%ifnarch %{ix86}
/sbin/sln %{ldso} /%{_lib}/%{lsbldso} || :
%else
if [ -f /emul/ia32-linux/lib/%{ldso} ]; then
  /sbin/sln /emul/ia32-linux/lib/%{ldso} /%{_lib}/%{lsbldso} || :
else
  /sbin/sln %{ldso} /%{_lib}/%{lsbldso} || :
fi
could do the job.

------- Additional comment by Phil Knirsch on 2004.11.11 07:57 -------

redhat-lsb-1.3-5 and later contain the new trigger.

Please verify if this solves the problem.

Thanks,

Read ya, Phil
Comment 1 Harald Hoyer 2004-11-24 12:39:28 EST
Erratum RHBA-2004:656-02
Comment 2 John Flanagan 2004-12-21 21:16:09 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-656.html

Note You need to log in before you can comment on or make changes to this bug.